//----------------------------------------------------------------------------------------


void MMove(int xx,int yy){
  printf("M%d;%d;\n",xx,yy) ;
  }
  
void DDraw(int xx, int yy){  
  printf("D%d;%d;\n",xx,yy) ;
  }

void LLine(int xx1, int yy1, int xx, int yy){  
 printf("L%d;%d;%d;%d;\n",xx1,yy1,xx,yy) ;
 }

 void BLine(int xx1, int yy1, int xx, int yy, int m){  
 printf("K%d;%d;%d;%d;%d;\n",xx1,yy1,xx,yy,m) ;
 }
  
void SStroke(int rr, int gg, int bb){
  printf("S%d;%d;%d;\n",rr,gg,bb) ;
  }
  
void TText(char* tt){
  printf("T%c%s%c\n",'"',tt,'"') ;  
  }



//----------------------------------------------------------------------------------------
#define xSize 1000
#define ySize 800

#define dd 5 

float sMax=70.0 ;
float sMin=-40 ;

/*float log10(float x){
  return (float)Math.log10(x) ;
  }
*/



  
float dBs(float s){
  return 20.0*log10(s) ;
}

int yOfS(float s){
  s=dBs(s) ;
  if(s<sMin){ s=sMin ; }
  if(s>sMax){ s=sMax ; }
  return (int)( ySize-(ySize-2*dd)*(s-sMin)/(sMax-sMin) );
  }
  

void xLineS(float s){
  int yy=yOfS(s) ;
  //LLine(xx,dd,xx,ySize-dd) ;
  BLine(dd,yy,xSize-dd,yy,15) ;
  }  

void graphFrame(){
  SStroke(255,0,0) ; 
  MMove(dd,dd) ;
  DDraw(xSize-dd,dd) ;
  DDraw(xSize-dd,ySize-dd) ;
  DDraw(dd,ySize-dd) ;
  DDraw(dd,dd) ;
  
 
  SStroke(0,0,255) ;
 
 /*
  xLineS(1.0) ;  MMove(dd+2,yOfS(1.0)-3) ; TText("0 dB") ;
  xLineS(10) ;  MMove(dd+2,yOfS(10)-3) ; TText("20 dB") ;
  xLineS(100) ;  MMove(dd+2,yOfS(100)-3) ; TText("40 dB") ;
  xLineS(1000) ;  MMove(dd+2,yOfS(1000)-3) ; TText("60 dB") ;
 */ 
  }


//----------------------------------------------------------------------------------------
